Macros
libstaroffice.hxx File Reference
`#include "STOFFDocument.hxx"`

Go to the source code of this file.

## Macros
#define | STOFF_CHART_VERSION 1
| Defines the chart possible conversion:
#define | STOFF_DATABASE_VERSION 0
| Defines the database possible conversion (actually none)
#define | STOFF_GRAPHIC_VERSION 2
| Defines the vector graphic possible conversion.
#define | STOFF_MATH_VERSION 1
| Defines the math possible conversion :
#define | STOFF_PRESENTATION_VERSION 1
| Defines the presentation possible conversion.
#define | STOFF_SPREADSHEET_VERSION 2
| Defines the spreadsheet processing possible conversion:
#define | STOFF_TEXT_VERSION 1
| Defines the word processing possible conversion:

## Macro Definition Documentation

## ◆ STOFF_CHART_VERSION

#define STOFF_CHART_VERSION 1

Defines the chart possible conversion:

- 1: try to retrieve the graphic representation of the chart when a chart is in some defined document(from libstoff-0.0.6)

## ◆ STOFF_DATABASE_VERSION

#define STOFF_DATABASE_VERSION 0

Defines the database possible conversion (actually none)

## ◆ STOFF_GRAPHIC_VERSION

#define STOFF_GRAPHIC_VERSION 2

Defines the vector graphic possible conversion.

- 1: begin to convert some .sda and some .sdg file + add STOFF_K_GRAPHIC enum(from libstoff-0.0.1)
- 2: can generate some graphic OLE(from libstoff-0.0.2)

## ◆ STOFF_MATH_VERSION

#define STOFF_MATH_VERSION 1

Defines the math possible conversion :

- 1: try to retrieve the graphic representation of the chart when a chart is in some defined document(from libstoff-0.0.6)

## ◆ STOFF_PRESENTATION_VERSION

#define STOFF_PRESENTATION_VERSION 1

Defines the presentation possible conversion.

- 1: begin to convert the files created by StarImpress in presentation(from libstoff-0.0.3)

## ◆ STOFF_SPREADSHEET_VERSION

#define STOFF_SPREADSHEET_VERSION 2

Defines the spreadsheet processing possible conversion:

- 1: can convert some basic document(from libstoff-0.0.0)
- 2: can generate some spreadsheet OLE(from libstoff-0.0.2)

## ◆ STOFF_TEXT_VERSION

#define STOFF_TEXT_VERSION 1

Defines the word processing possible conversion:

- 1: can convert some sdw files(from libstoff-0.0.2)